
datablock fxDtsBrickData(LogicGate_BufferAl14_Data){
	brickFile = $LuaLogic::Path @ "bricks/gen/newbricks/Buffer Active Low 14 Bit.blb";
	iconName = $LuaLogic::Path @ "bricks/gen/newicons/Buffer Active Low 14 Bit";
	
	category = "Logic Bricks";
	subCategory = "Bus";
	uiName = "Buffer Active Low 14 Bit";
	logicUIName = "Buffer Active Low 14 Bit";
	logicUIDesc = "";
	
	hasPrint = 1;
	printAspectRatio = "Logic";
	
	logicBrickSize = "14 1 1";
	orientationFix = 3;
	
	isLogic = true;
	isLogicGate = true;
	isLogicInput = false;
	
	logicInit = "";
	logicInput = "";
	logicUpdate = 
		"return function(gate) " @
		"	if not gate.ports[29].state then " @
		"		gate.ports[15]:setstate(gate.ports[1].state) " @
		"		gate.ports[16]:setstate(gate.ports[2].state) " @
		"		gate.ports[17]:setstate(gate.ports[3].state) " @
		"		gate.ports[18]:setstate(gate.ports[4].state) " @
		"		gate.ports[19]:setstate(gate.ports[5].state) " @
		"		gate.ports[20]:setstate(gate.ports[6].state) " @
		"		gate.ports[21]:setstate(gate.ports[7].state) " @
		"		gate.ports[22]:setstate(gate.ports[8].state) " @
		"		gate.ports[23]:setstate(gate.ports[9].state) " @
		"		gate.ports[24]:setstate(gate.ports[10].state) " @
		"		gate.ports[25]:setstate(gate.ports[11].state) " @
		"		gate.ports[26]:setstate(gate.ports[12].state) " @
		"		gate.ports[27]:setstate(gate.ports[13].state) " @
		"		gate.ports[28]:setstate(gate.ports[14].state) " @
		"	else " @
		"		gate.ports[15]:setstate(false) " @
		"		gate.ports[16]:setstate(false) " @
		"		gate.ports[17]:setstate(false) " @
		"		gate.ports[18]:setstate(false) " @
		"		gate.ports[19]:setstate(false) " @
		"		gate.ports[20]:setstate(false) " @
		"		gate.ports[21]:setstate(false) " @
		"		gate.ports[22]:setstate(false) " @
		"		gate.ports[23]:setstate(false) " @
		"		gate.ports[24]:setstate(false) " @
		"		gate.ports[25]:setstate(false) " @
		"		gate.ports[26]:setstate(false) " @
		"		gate.ports[27]:setstate(false) " @
		"		gate.ports[28]:setstate(false) " @
		"	end " @
		"end"
	;
	logicGlobal = "";
	
	numLogicPorts = 29;
	
	logicPortType[0] = 1;
	logicPortPos[0] = "13 0 0";
	logicPortDir[0] = 3;
	logicPortUIName[0] = "In0";
	
	logicPortType[1] = 1;
	logicPortPos[1] = "11 0 0";
	logicPortDir[1] = 3;
	logicPortUIName[1] = "In1";
	
	logicPortType[2] = 1;
	logicPortPos[2] = "9 0 0";
	logicPortDir[2] = 3;
	logicPortUIName[2] = "In2";
	
	logicPortType[3] = 1;
	logicPortPos[3] = "7 0 0";
	logicPortDir[3] = 3;
	logicPortUIName[3] = "In3";
	
	logicPortType[4] = 1;
	logicPortPos[4] = "5 0 0";
	logicPortDir[4] = 3;
	logicPortUIName[4] = "In4";
	
	logicPortType[5] = 1;
	logicPortPos[5] = "3 0 0";
	logicPortDir[5] = 3;
	logicPortUIName[5] = "In5";
	
	logicPortType[6] = 1;
	logicPortPos[6] = "1 0 0";
	logicPortDir[6] = 3;
	logicPortUIName[6] = "In6";
	
	logicPortType[7] = 1;
	logicPortPos[7] = "-1 0 0";
	logicPortDir[7] = 3;
	logicPortUIName[7] = "In7";
	
	logicPortType[8] = 1;
	logicPortPos[8] = "-3 0 0";
	logicPortDir[8] = 3;
	logicPortUIName[8] = "In8";
	
	logicPortType[9] = 1;
	logicPortPos[9] = "-5 0 0";
	logicPortDir[9] = 3;
	logicPortUIName[9] = "In9";
	
	logicPortType[10] = 1;
	logicPortPos[10] = "-7 0 0";
	logicPortDir[10] = 3;
	logicPortUIName[10] = "In10";
	
	logicPortType[11] = 1;
	logicPortPos[11] = "-9 0 0";
	logicPortDir[11] = 3;
	logicPortUIName[11] = "In11";
	
	logicPortType[12] = 1;
	logicPortPos[12] = "-11 0 0";
	logicPortDir[12] = 3;
	logicPortUIName[12] = "In12";
	
	logicPortType[13] = 1;
	logicPortPos[13] = "-13 0 0";
	logicPortDir[13] = 3;
	logicPortUIName[13] = "In13";
	
	logicPortType[14] = 0;
	logicPortPos[14] = "13 0 0";
	logicPortDir[14] = 1;
	logicPortUIName[14] = "Out0";
	
	logicPortType[15] = 0;
	logicPortPos[15] = "11 0 0";
	logicPortDir[15] = 1;
	logicPortUIName[15] = "Out1";
	
	logicPortType[16] = 0;
	logicPortPos[16] = "9 0 0";
	logicPortDir[16] = 1;
	logicPortUIName[16] = "Out2";
	
	logicPortType[17] = 0;
	logicPortPos[17] = "7 0 0";
	logicPortDir[17] = 1;
	logicPortUIName[17] = "Out3";
	
	logicPortType[18] = 0;
	logicPortPos[18] = "5 0 0";
	logicPortDir[18] = 1;
	logicPortUIName[18] = "Out4";
	
	logicPortType[19] = 0;
	logicPortPos[19] = "3 0 0";
	logicPortDir[19] = 1;
	logicPortUIName[19] = "Out5";
	
	logicPortType[20] = 0;
	logicPortPos[20] = "1 0 0";
	logicPortDir[20] = 1;
	logicPortUIName[20] = "Out6";
	
	logicPortType[21] = 0;
	logicPortPos[21] = "-1 0 0";
	logicPortDir[21] = 1;
	logicPortUIName[21] = "Out7";
	
	logicPortType[22] = 0;
	logicPortPos[22] = "-3 0 0";
	logicPortDir[22] = 1;
	logicPortUIName[22] = "Out8";
	
	logicPortType[23] = 0;
	logicPortPos[23] = "-5 0 0";
	logicPortDir[23] = 1;
	logicPortUIName[23] = "Out9";
	
	logicPortType[24] = 0;
	logicPortPos[24] = "-7 0 0";
	logicPortDir[24] = 1;
	logicPortUIName[24] = "Out10";
	
	logicPortType[25] = 0;
	logicPortPos[25] = "-9 0 0";
	logicPortDir[25] = 1;
	logicPortUIName[25] = "Out11";
	
	logicPortType[26] = 0;
	logicPortPos[26] = "-11 0 0";
	logicPortDir[26] = 1;
	logicPortUIName[26] = "Out12";
	
	logicPortType[27] = 0;
	logicPortPos[27] = "-13 0 0";
	logicPortDir[27] = 1;
	logicPortUIName[27] = "Out13";
	
	logicPortType[28] = 1;
	logicPortPos[28] = "13 0 0";
	logicPortDir[28] = 2;
	logicPortUIName[28] = "Clock";
	logicPortCauseUpdate[28] = true;
	
};
